%define module_name	slmodem
%define module_version	2.9.10
%define module_release	alt3.M30.1.132125.9

%define kversion	2.4.29
%define krelease	alt9
%define flavour		std-up

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	slmodem kernel modules for SmartLink Soft Modems support
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release

License:	Distributable
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

Patch1:		slmodem-2.9.10-alt-install.patch

ExclusiveOS:	Linux
URL:		http://linmodems.technion.ac.il/packages/smartlink/
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86
Requires:	slmodemd


%description
slmdm kernel modules for SmartLink Soft Modems support.

These are modules for your ALT Linux system

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version
subst "s,\/sbin\/depmod -a,," drivers/Makefile

%patch1 -p1

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour drivers

%install
%__mkdir_p %buildroot%module_dir

pushd drivers
%__make install DESTDIR=$RPM_BUILD_ROOT KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour module-dir=%buildroot%module_dir
popd

%__install -d %buildroot%_docdir/%name-%version-%release
%__install -p -m644 Changes README %buildroot%_docdir/%name-%version-%release/

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%doc %_docdir/%name-%version-%release
%defattr(644,root,root,755)
%module_dir

%changelog
* Sun Nov 06 2005 Sergey Vlasov <vsu@altlinux.ru> 2.9.10-alt3.M30.1.132125.9
- Fixed broken Release field format.

* Wed Oct 26 2005 Sergey Vlasov <vsu@altlinux.ru> 2.9.10-alt3.132125.9.M30.1
- Added Provides and Requires needed for correct upgrades.

* Thu May 12 2005 Sergey Vlasov <vsu@altlinux.ru> 2.9.10-alt3.132125.9
- fix build failure at %%install with 2.4.x kernels

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 2.9.10-alt2.132125.9
- fix build failure in userspace part (which should not be built here at all)
- install docs in a release-specific directory to avoid conflicts if builds of
  the same version for different kernel releases are installed

* Tue Apr 26 2005 Grigory Milev <week@altlinux.ru> 2.9.10-alt1.132125.9
- new version released
- now work with 2.6.10 and later kernels
- minor spec cleanup

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2.9.6-alt8.132125.9
- Added patches to fix build with kernel 2.6.10.

* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 2.9.6-alt7.132125.9
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2.9.6-alt6.132125.9
- Rebuild for kernel 2.4.27.

* Wed Aug 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2.9.6-alt5.132125.9
- Fixed build with kernel 2.6.8.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2.9.6-alt4.132125.9
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Mon May 17 2004 Anton Farygin <rider@altlinux.ru> 2.9.6-alt3.132125.9
- URL fixed
- fixed install for kernel 2.6 and 2.4, added slusb module

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 2.9.6-alt2.132125.9
- Rebuild for kernel 2.4.26.

* Mon Apr 26 2004 Grigory Milev <week@altlinux.ru> 2.9.6-alt1.132125.9
- new version released

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 2.9.5-alt2.132125.9
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Thu Jan 22 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.9.5-alt1.132125.9
- Initial build

